Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: dpkg probleem met verwijderen van google chromium  (gelezen 736 keer)

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
dpkg probleem met verwijderen van google chromium
« Gepost op: 2012/07/25, 15:21:42 »
Beste mensen,

(ubuntu 10.04.3; uname -r : 2.6.32-41-generic)

Eigenlijk heb ik sinds het installeren van chromium problemen met firefox, die helemaal niet meer aan de praat is te krijgen en chromium die vaak oeps roept.
Ik wilde dus chromium deïnstalleren maar krijg de foutmelding:

installArchives() failed: dpkg: parse error, in file '/var/lib/dpkg/status' near line 13207 package 'diffutils':
 duplicate value for user-defined field `Original-Maintainer'.

Toch wil ik van google chromium af.
Hoe dit te doen?

b.v.d.

pablo k


Offline blokkendoos

  • Lid
  • Steunpunt: Nee
Re: dpkg probleem met verwijderen van google chromium
« Reactie #2 Gepost op: 2012/07/25, 21:39:00 »
Moeilijk te zeggen.
Je stuurde me vermoedelijk naar het juiste relevante bericht, maar ik wilde toch de hele post lezen om te weten waar het over ging.
Toen kwam ik een stukje van LeoQuant tegen dat me erg deed denken aan wat ik had gezien in /etc/apt.
Bekend maakt bemind.
Hoewel ik niet meteen begreep wat hij bedoelt met "navigeer via ...." besloot ik het erop te wagen.

Citaat
Code: [Selecteer]
gksudo nautilus

navigeer via /var/lib/dpkg/status
naar het bestand brasero-common:
verwijder deze via de zoekoptie rechtsboven je scherm
navigeer via /var/lib/dpkg/info
naar het bestand brasero-common:
verwijder deze via de zoekoptie rechtsboven je scherm

sluit nautilus!
Code: [Selecteer]
sudo apt-get update

Status-(tekst)bestand geopend en alle drie de pakketten die verwijzen naar de chromium-browser eruit gehaald (en bewaard in een tekstbestand).
Daarna naar info en alle bestanden die een naam hadden met chromium gewist.
Gevolgd door sudo apt-get update.

Naar achteraf blijkt is het kwaad al geschied; (status-old klopt dan ws. niet meer?)
Na het uitvoeren van de opdrachten

sudo mv /var/lib/dpkg/status /var/lib/dpkg/status.bad

sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status

sudo apt-get install -f

sudo apt-get update && sudo apt-get upgrade
De laatste opdracht breekt af en laat het volgende zien:
Citaat
peter@ubX4-desk:/var/lib/dpkg$ sudo apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 50 not upgraded.
6 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up firefox-gnome-support (13.0.1+build1-0ubuntu0.10.04.1) ...
Setting up firefox-locale-en (13.0.1+build1-0ubuntu0.10.04.1) ...
Setting up firefox-locale-nl (13.0.1+build1-0ubuntu0.10.04.1) ...
Setting up totem-mozilla (2.30.2-0ubuntu1) ...
Setting up xul-ext-ubufox (0.9.5-0ubuntu0.10.04.1) ...

Setting up xulrunner-1.9.2 (1.9.2.28+build1+nobinonly-0ubuntu0.10.04.1) ...

Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

peter@ubX4-desk:/var/lib/dpkg$ sudo apt-get update && sudo apt-get upgrade
Hit http://ppa.launchpad.net lucid Release.gpg
Hit http://security.ubuntu.com lucid-security Release.gpg                     
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US   
Ign http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US 
Hit http://ppa.launchpad.net lucid/main Packages
....enzovoorts.......
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  icedtea6-plugin openjdk-6-jre
The following packages will be upgraded:
  firefox firefox-3.5 firefox-3.5-gnome-support firefox-gnome-support
  firefox-locale-en firefox-locale-nl icedtea-6-jre-cacao insserv libexif12
  libgcrypt11 libmms0 libphonon4 libpurple-bin libpurple0 libqt4-assistant
  libqt4-dbus libqt4-designer libqt4-help libqt4-network libqt4-opengl
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql
  libqt4-sql-mysql libqt4-svg libqt4-test libqt4-webkit libqt4-xml
  libqt4-xmlpatterns libqtcore4 libqtgui4 libtiff4 linux-headers-2.6.32-41
  linux-headers-2.6.32-41-generic linux-image-2.6.32-41-generic linux-libc-dev
  openjdk-6-jre-headless openjdk-6-jre-lib phonon pidgin pidgin-data procps
  thunderbird thunderbird-locale-en thunderbird-locale-en-gb ubufox
  xul-ext-ubufox
48 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 140MB of archives.
After this operation, 1,180kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/main linux-image-2.6.32-41-generic 2.6.32-41.94 [31.7MB]
.....enzovoorts.....
Get:48 http://nl.archive.ubuntu.com/ubuntu/ lucid-updates/main ubufox 2.1.1-0ubuntu0.10.04.1 [1,204B]
Fetched 140MB in 1min 34s (1,482kB/s)                                         
Extracting templates from packages: 100%
(Reading database ...
dpkg: warning: files list file for package `chromium-browser-l10n' missing, assuming package has no files currently installed.

dpkg: warning: files list file for package `chromium-browser' missing, assuming package has no files currently installed.

dpkg: warning: files list file for package `chromium-codecs-ffmpeg' missing, assuming package has no files currently installed.
(Reading database ... 372102 files and directories currently installed.)
Preparing to replace linux-image-2.6.32-41-generic 2.6.32-41.91 (using .../linux-image-2.6.32-41-generic_2.6.32-41.94_i386.deb) ...
Done.
Unpacking replacement linux-image-2.6.32-41-generic ...
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub

malloc: ../bash/unwind_prot.c:308: assertion botched
malloc: block on free list clobbered
Aborting...
malloc: ../bash/variables.c:2004: assertion botched
malloc: block on free list clobbered
Aborting...User postrm hook script [/sbin/update-grub] exited with value 134
Preparing to replace libgcrypt11 1.4.4-5ubuntu2 (using .../libgcrypt11_1.4.4-5ubuntu2.1_i386.deb) ...
Unpacking replacement libgcrypt11 ...
Preparing to replace insserv 1.12.0-14 (using .../insserv_1.12.0-14ubuntu0.2_i386.deb) ...
Unpacking replacement insserv ...
Preparing to replace procps 1:3.2.8-1ubuntu4.2 (using .../procps_1%3a3.2.8-1ubuntu4.3_i386.deb) ...
Unpacking replacement procps ...
Preparing to replace firefox 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox_14.0.1+build1-0ubuntu0.10.04.1_i386.deb) ...
Unpacking replacement firefox ...
Preparing to replace firefox-3.5 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox-3.5_14.0.1+build1-0ubuntu0.10.04.1_all.deb) ...
Unpacking replacement firefox-3.5 ...
Preparing to replace firefox-gnome-support 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox-gnome-support_14.0.1+build1-0ubuntu0.10.04.1_i386.deb) ...
Unpacking replacement firefox-gnome-support ...
Preparing to replace firefox-3.5-gnome-support 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox-3.5-gnome-support_14.0.1+build1-0ubuntu0.10.04.1_all.deb) ...
Unpacking replacement firefox-3.5-gnome-support ...
Preparing to replace firefox-locale-en 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox-locale-en_14.0.1+build1-0ubuntu0.10.04.1_i386.deb) ...
Unpacking replacement firefox-locale-en ...
Preparing to replace firefox-locale-nl 13.0.1+build1-0ubuntu0.10.04.1 (using .../firefox-locale-nl_14.0.1+build1-0ubuntu0.10.04.1_i386.deb) ...
Unpacking replacement firefox-locale-nl ...
Preparing to replace libexif12 0.6.19-1 (using .../libexif12_0.6.19-1ubuntu0.1_i386.deb) ...
Unpacking replacement libexif12 ...
Preparing to replace libmms0 0.4-2 (using .../libmms0_0.6.2-lucid1_i386.deb) ...
Unpacking replacement libmms0 ...
Preparing to replace libqt4-webkit 4:4.6.2-0ubuntu5.3 (using .../libqt4-webkit_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-webkit ...
lzma: Decoder error
dpkg-deb: subprocess <decompress> returned error exit status 1
dpkg: error processing /var/cache/apt/archives/libqt4-webkit_4%3a4.6.2-0ubuntu5.4_i386.deb (--unpack):
 short read in buffer_copy (backend dpkg-deb during `./usr/lib/libQtWebKit.so.4.6.2')
No apport report written because the error message indicates a dpkg I/O error
                                                                             Preparing to replace libqt4-xmlpatterns 4:4.6.2-0ubuntu5.3 (using .../libqt4-xmlpatterns_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-xmlpatterns ...
lzma: Decoder error
dpkg-deb: subprocess <decompress> returned error exit status 1
dpkg: error processing /var/cache/apt/archives/libqt4-xmlpatterns_4%3a4.6.2-0ubuntu5.4_i386.deb (--unpack):
 short read in buffer_copy (backend dpkg-deb during `./usr/lib/libQtXmlPatterns.so.4.6.2')
No apport report written because the error message indicates a dpkg I/O error
                                                                             Preparing to replace libqt4-test 4:4.6.2-0ubuntu5.3 (using .../libqt4-test_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-test ...
Preparing to replace libqt4-sql-mysql 4:4.6.2-0ubuntu5.3 (using .../libqt4-sql-mysql_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-sql-mysql ...
Preparing to replace libqt4-qt3support 4:4.6.2-0ubuntu5.3 (using .../libqt4-qt3support_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-qt3support ...
Preparing to replace libqt4-help 4:4.6.2-0ubuntu5.3 (using .../libqt4-help_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-help ...
Preparing to replace libqt4-sql 4:4.6.2-0ubuntu5.3 (using .../libqt4-sql_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-sql ...
Preparing to replace libqt4-opengl 4:4.6.2-0ubuntu5.3 (using .../libqt4-opengl_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-opengl ...
Preparing to replace libqt4-svg 4:4.6.2-0ubuntu5.3 (using .../libqt4-svg_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-svg ...
Preparing to replace libtiff4 3.9.2-2ubuntu0.9 (using .../libtiff4_3.9.2-2ubuntu0.10_i386.deb) ...
Unpacking replacement libtiff4 ...
Preparing to replace libqt4-scripttools 4:4.6.2-0ubuntu5.3 (using .../libqt4-scripttools_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-scripttools ...
Preparing to replace libphonon4 4:4.6.2-0ubuntu5.3 (using .../libphonon4_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libphonon4 ...
Preparing to replace libqt4-designer 4:4.6.2-0ubuntu5.3 (using .../libqt4-designer_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-designer ...
lzma: Decoder error
dpkg-deb: subprocess <decompress> returned error exit status 1
dpkg: error processing /var/cache/apt/archives/libqt4-designer_4%3a4.6.2-0ubuntu5.4_i386.deb (--unpack):
 short read in buffer_copy (backend dpkg-deb during `./usr/lib/libQtDesigner.so.4.6.2')
No apport report written because the error message indicates a dpkg I/O error
                                                                             Preparing to replace libqtgui4 4:4.6.2-0ubuntu5.3 (using .../libqtgui4_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqtgui4 ...
lzma: Decoder error
dpkg-deb: subprocess <decompress> returned error exit status 1
dpkg: error processing /var/cache/apt/archives/libqtgui4_4%3a4.6.2-0ubuntu5.4_i386.deb (--unpack):
 short read in buffer_copy (backend dpkg-deb during `./usr/lib/libQtGui.so.4.6.2')
No apport report written because MaxReports is reached already
                                                              Preparing to replace libqt4-script 4:4.6.2-0ubuntu5.3 (using .../libqt4-script_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-script ...
Preparing to replace libqt4-dbus 4:4.6.2-0ubuntu5.3 (using .../libqt4-dbus_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-dbus ...
Preparing to replace libqt4-xml 4:4.6.2-0ubuntu5.3 (using .../libqt4-xml_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-xml ...
Preparing to replace libqt4-assistant 4:4.6.2-0ubuntu5.3 (using .../libqt4-assistant_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-assistant ...
Preparing to replace libqt4-network 4:4.6.2-0ubuntu5.3 (using .../libqt4-network_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqt4-network ...
Preparing to replace libqtcore4 4:4.6.2-0ubuntu5.3 (using .../libqtcore4_4%3a4.6.2-0ubuntu5.4_i386.deb) ...
Unpacking replacement libqtcore4 ...
Preparing to replace libpurple-bin 1:2.6.6-1ubuntu4.4 (using .../libpurple-bin_1%3a2.6.6-1ubuntu4.5_all.deb) ...
Unpacking replacement libpurple-bin ...
Preparing to replace libpurple0 1:2.6.6-1ubuntu4.4 (using .../libpurple0_1%3a2.6.6-1ubuntu4.5_i386.deb) ...
Unpacking replacement libpurple0 ...
Preparing to replace linux-headers-2.6.32-41 2.6.32-41.91 (using .../linux-headers-2.6.32-41_2.6.32-41.94_all.deb) ...
Unpacking replacement linux-headers-2.6.32-41 ...
Preparing to replace linux-headers-2.6.32-41-generic 2.6.32-41.91 (using .../linux-headers-2.6.32-41-generic_2.6.32-41.94_i386.deb) ...
Unpacking replacement linux-headers-2.6.32-41-generic ...
Preparing to replace linux-libc-dev 2.6.32-41.91 (using .../linux-libc-dev_2.6.32-41.94_i386.deb) ...
Unpacking replacement linux-libc-dev ...
*** glibc detected *** /usr/bin/dpkg: malloc(): smallbin double linked list corrupted: 0x0bbbfc38 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6(+0x6b161)[0xb48161]
/lib/tls/i686/cmov/libc.so.6(+0x6e2e0)[0xb4b2e0]
/lib/tls/i686/cmov/libc.so.6(__libc_malloc+0x5c)[0xb4cb6c]
/usr/bin/dpkg[0x8063c56]
/usr/bin/dpkg[0x806ac1a]
/usr/bin/dpkg[0x806ad6a]
/usr/bin/dpkg[0x805f61e]
/usr/bin/dpkg[0x804db9a]
/usr/bin/dpkg[0x8067965]
/usr/bin/dpkg[0x8059bb7]
/usr/bin/dpkg[0x804b7c0]
/usr/bin/dpkg[0x8056c73]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6)[0xaf3bd6]
/usr/bin/dpkg[0x804afa1]
======= Memory map: ========
005bc000-005d9000 r-xp 00000000 08:13 19861      /lib/libgcc_s.so.1
005d9000-005da000 r--p 0001c000 08:13 19861      /lib/libgcc_s.so.1
005da000-005db000 rw-p 0001d000 08:13 19861      /lib/libgcc_s.so.1
008f4000-00907000 r-xp 00000000 08:13 5186       /lib/tls/i686/cmov/libnsl-2.11.1.so
00907000-00908000 r--p 00012000 08:13 5186       /lib/tls/i686/cmov/libnsl-2.11.1.so
00908000-00909000 rw-p 00013000 08:13 5186       /lib/tls/i686/cmov/libnsl-2.11.1.so
00909000-0090b000 rw-p 00000000 00:00 0
00a57000-00a72000 r-xp 00000000 08:13 125944     /lib/ld-2.11.1.so
00a72000-00a73000 r--p 0001a000 08:13 125944     /lib/ld-2.11.1.so
00a73000-00a74000 rw-p 0001b000 08:13 125944     /lib/ld-2.11.1.so
00a91000-00a92000 r-xp 00000000 00:00 0          [vdso]
00add000-00c30000 r-xp 00000000 08:13 5193       /lib/tls/i686/cmov/libc-2.11.1.so
00c30000-00c32000 r--p 00153000 08:13 5193       /lib/tls/i686/cmov/libc-2.11.1.so
00c32000-00c33000 rw-p 00155000 08:13 5193       /lib/tls/i686/cmov/libc-2.11.1.so
00c33000-00c36000 rw-p 00000000 00:00 0
00cef000-00cf9000 r-xp 00000000 08:13 5190       /lib/tls/i686/cmov/libnss_files-2.11.1.so
00cf9000-00cfa000 r--p 00009000 08:13 5190       /lib/tls/i686/cmov/libnss_files-2.11.1.so
00cfa000-00cfb000 rw-p 0000a000 08:13 5190       /lib/tls/i686/cmov/libnss_files-2.11.1.so
00e4a000-00e50000 r-xp 00000000 08:13 6487       /lib/tls/i686/cmov/libnss_compat-2.11.1.so
00e50000-00e51000 r--p 00006000 08:13 6487       /lib/tls/i686/cmov/libnss_compat-2.11.1.so
00e51000-00e52000 rw-p 00007000 08:13 6487       /lib/tls/i686/cmov/libnss_compat-2.11.1.so
00f7b000-00f83000 r-xp 00000000 08:13 6488       /lib/tls/i686/cmov/libnss_nis-2.11.1.so
00f83000-00f84000 r--p 00007000 08:13 6488       /lib/tls/i686/cmov/libnss_nis-2.11.1.so
00f84000-00f85000 rw-p 00008000 08:13 6488       /lib/tls/i686/cmov/libnss_nis-2.11.1.so
08048000-080a4000 r-xp 00000000 08:13 32787      /usr/bin/dpkg
080a4000-080a5000 r--p 0005b000 08:13 32787      /usr/bin/dpkg
080a5000-080a6000 rw-p 0005c000 08:13 32787      /usr/bin/dpkg
080a6000-08132000 rw-p 00000000 00:00 0
08fef000-0bc32000 rw-p 00000000 00:00 0          [heap]
b6300000-b6321000 rw-p 00000000 00:00 0
b6321000-b6400000 ---p 00000000 00:00 0
b6468000-b764d000 rw-p 00000000 00:00 0
b764e000-b768d000 r--p 00000000 08:13 839770     /usr/lib/locale/en_US.utf8/LC_CTYPE
b768d000-b77ab000 r--p 00000000 08:13 839771     /usr/lib/locale/en_US.utf8/LC_COLLATE
b77ab000-b77ad000 rw-p 00000000 00:00 0
b77b1000-b77b2000 rw-p 00000000 00:00 0
b77b2000-b77b3000 r--p 00000000 08:13 787770     /usr/lib/locale/en_US.utf8/LC_NUMERIC
b77b3000-b77b4000 r--p 00000000 08:13 787868     /usr/lib/locale/en_US.utf8/LC_TIME
b77b4000-b77b5000 r--p 00000000 08:13 787869     /usr/lib/locale/en_US.utf8/LC_MONETARY
b77b5000-b77b6000 r--p 00000000 08:13 788215     /usr/lib/locale/en_US.utf8/LC_MESSAGES/SYS_LC_MESSAGES
b77b6000-b77b7000 r--p 00000000 08:13 787776     /usr/lib/locale/en_US.utf8/LC_PAPER
b77b7000-b77b8000 r--p 00000000 08:13 787777     /usr/lib/locale/en_US.utf8/LC_NAME
b77b8000-b77b9000 r--p 00000000 08:13 788217     /usr/lib/locale/en_US.utf8/LC_ADDRESS
b77b9000-b77ba000 r--p 00000000 08:13 788219     /usr/lib/locale/en_US.utf8/LC_TELEPHONE
b77ba000-b77bb000 r--p 00000000 08:13 787780     /usr/lib/locale/en_US.utf8/LC_MEASUREMENT
b77bb000-b77c2000 r--s 00000000 08:13 96877      /usr/lib/gconv/gconv-modules.cache
b77c2000-b77c3000 r--p 00000000 08:13 788221     /usr/lib/locale/en_US.utf8/LC_IDENTIFICATION
b77c3000-b77c4000 rw-p 00000000 00:00 0
bfe19000-bfe2f000 rw-p 00000000 00:00 0          [stack]
dpkg-deb: subprocess paste killed by signal (Broken pipe)
E: Sub-process /usr/bin/dpkg exited unexpectedly